io.vertx.reactivex.ext.auth.webauthn

## Class WebAuthn

- java.lang.Object
- - io.vertx.reactivex.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.reactivex.ext.auth.webauthn.WebAuthn

-     public class WebAuthn
      extends AuthenticationProvider

  Factory interface for creating WebAuthN based `AuthenticationProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<WebAuthn>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthn(Object delegate)`
    `WebAuthn(WebAuthn delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebAuthn` | `create(Vertx vertx, CredentialStore store)` Create a WebAuthN auth provider
    `static WebAuthn` | `create(Vertx vertx, WebAuthnOptions options, CredentialStore store)` Create a WebAuthN auth provider
    `WebAuthn` | `createCredentialsOptions(JsonObject user)` Generates makeCredentials request
    `WebAuthn` | `createCredentialsOptions(JsonObject user, Handler<AsyncResult<JsonObject>> handler)` Generates makeCredentials request
    `boolean` | `equals(Object o)`
    `WebAuthn` | `getCredentialsOptions(String username)` Generates getAssertion request.
    `WebAuthn` | `getCredentialsOptions(String username, Handler<AsyncResult<JsonObject>> handler)` Generates getAssertion request.
    `WebAuthn` | `getDelegate()`
    `int` | `hashCode()`
    `static WebAuthn` | `newInstance(WebAuthn arg)`
    `Single<JsonObject>` | `rxCreateCredentialsOptions(JsonObject user)` Generates makeCredentials request
    `Single<JsonObject>` | `rxGetCredentialsOptions(String username)` Generates getAssertion request.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<WebAuthn> __TYPE_ARG

  - ### Constructor Detail

    - #### WebAuthn

          public WebAuthn(WebAuthn delegate)

    - #### WebAuthn

          public WebAuthn(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public WebAuthn getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static WebAuthn create(Vertx vertx,
                                        CredentialStore store)

      Create a WebAuthN auth provider
      Parameters:
        `vertx` - the Vertx instance.
        `store` - the user store used to load credentials.
      Returns:
        the auth provider.

    - #### create

          public static WebAuthn create(Vertx vertx,
                                        WebAuthnOptions options,
                                        CredentialStore store)

      Create a WebAuthN auth provider
      Parameters:
        `vertx` - the Vertx instance.
        `options` - the custom options to the provider.
        `store` - the user store used to load credentials.
      Returns:
        the auth provider.

    - #### createCredentialsOptions

          public WebAuthn createCredentialsOptions(JsonObject user,
                                                   Handler<AsyncResult<JsonObject>> handler)

      Generates makeCredentials request
      Parameters:
        `user` - - the user object with username, displayName
        `handler` - server encoded make credentials request
      Returns:
        fluent self

    - #### createCredentialsOptions

          public WebAuthn createCredentialsOptions(JsonObject user)

      Generates makeCredentials request
      Parameters:
        `user` - - the user object with username, displayName
      Returns:
        fluent self

    - #### rxCreateCredentialsOptions

          public Single<JsonObject> rxCreateCredentialsOptions(JsonObject user)

      Generates makeCredentials request
      Parameters:
        `user` - - the user object with username, displayName
      Returns:
        fluent self

    - #### getCredentialsOptions

          public WebAuthn getCredentialsOptions(String username,
                                                Handler<AsyncResult<JsonObject>> handler)

      Generates getAssertion request. If the auth provider is configured with `RequireResidentKey` and the username is null then the generated assertion will be a RK assertion (Usernameless).
      Parameters:
        `username` - the unique user identified
        `handler` - server encoded get assertion request
      Returns:
        fluent self.

    - #### getCredentialsOptions

          public WebAuthn getCredentialsOptions(String username)

      Generates getAssertion request. If the auth provider is configured with `RequireResidentKey` and the username is null then the generated assertion will be a RK assertion (Usernameless).
      Parameters:
        `username` - the unique user identified
      Returns:
        fluent self.

    - #### rxGetCredentialsOptions

          public Single<JsonObject> rxGetCredentialsOptions(String username)

      Generates getAssertion request. If the auth provider is configured with `RequireResidentKey` and the username is null then the generated assertion will be a RK assertion (Usernameless).
      Parameters:
        `username` - the unique user identified
      Returns:
        fluent self.

    - #### newInstance

          public static WebAuthn newInstance(WebAuthn arg)

Copyright © 2020 Eclipse. All rights reserved.